from pymongo import MongoClient


class DBManager(object):
    def __new__(cls, *args, **kwargs):
        it = cls.__dict__.get("it")
        if it is not None:
            return it
        cls.__it__ = it = object.__new__(cls)
        it.init(*args, **kwargs)
        return it

    def init(self, config: dict):
        self.mongo = MongoClient(**config)
