from dataclasses import dataclass
from typing import Any


@dataclass
class Field:
    name: Any
    value: Any
    inline: bool = True

    def to_dict(self):
        return {"name": self.name, "value": self.value, "inline": self.inline}
